unit cPalWnd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, CompPal, ExtCtrls, Buttons;

type
  TDsnToolbar = class(TForm)
    Panel1: TPanel;
    PaletteTab1: TPaletteTab;
    SpeedButton1: TSpeedButton;
    OD: TOpenDialog;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton10: TSpeedButton;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    SpeedButton13: TSpeedButton;
    SpeedButton14: TSpeedButton;
    SpeedButton15: TSpeedButton;
    SpeedButton16: TSpeedButton;
    SpeedButton17: TSpeedButton;
    SpeedButton18: TSpeedButton;
    OD_F: TOpenDialog;
    SD_F: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure DsnActionClick(Sender: TObject);
    procedure DsnObjActClick(Sender: TObject);
    procedure SpeedButton15Click(Sender: TObject);
    procedure SpeedButton18Click(Sender: TObject);
    procedure SpeedButton17Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DsnToolbar: TDsnToolbar;

implementation

uses LibReg, DsnActions, DsnCtrl, AlignPal;

{$R *.DFM}

procedure TDsnToolbar.FormCreate(Sender: TObject);
begin
  Left:= 0;
  Top := 0;
  Width := Screen.Width;
end;

procedure TDsnToolbar.SpeedButton1Click(Sender: TObject);
begin
  if OD.Execute then
    DsnLoadPackage(OD.FileName);
end;

procedure TDsnToolbar.DsnActionClick(Sender: TObject);
begin
  PerformDsnAction(TDesignerAction((Sender as TComponent).Tag));
end;

procedure TDsnToolbar.DsnObjActClick(Sender: TObject);
begin
  if DsnManager.ActiveDesigner <> nil then
  with DsnManager.ActiveDesigner do
  case (Sender as TComponent).Tag of
    0: CopySelection;
    1: CutSelection;
    2: PasteSelection;
    3: DeleteSelection;
  end;
end;

procedure TDsnToolbar.SpeedButton15Click(Sender: TObject);
begin
 ShowDsnAbout;
end;

procedure TDsnToolbar.SpeedButton18Click(Sender: TObject);
begin
 AlignPallette.Show;
end;

procedure TDsnToolbar.SpeedButton17Click(Sender: TObject);
begin
  ShowDesignerOptionsDlg(nil);
end;

procedure TDsnToolbar.SpeedButton2Click(Sender: TObject);
begin
  if DsnManager.ActiveDesigner <> nil then
  if OD_F.Execute then
    DsnReadFromFile(OD_F.FileName, nil);
end;

procedure TDsnToolbar.SpeedButton3Click(Sender: TObject);
begin
  if DsnManager.ActiveDesigner <> nil then
  if SD_F.Execute then
   DsnWriteToFile(SD_F.FileName, nil);
end;

end.
